All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class AbstractFilterItemListBase

    com.sas.dataselectors.filters.AbstractFilterItemListBase

All Implemented Interfaces:
  FilterItemListInterface, FilterItemLookupInterface

Direct Known Subclasses:
  BusinessQueryToFilterItemListAdapter, InformationMapToFilterItemListAdapter

    public abstract class AbstractFilterItemListBase

implements FilterItemListInterface, FilterItemLookupInterface

The AbstractFilterItemListBase provides the basic components for a listing of filter items in the filter model. FilterItemInterface objects are the first part of any filter in the model and derivatives of this class will provide access to them.

Field Summary
`protected java.util.Map` | `_filterItemLookup`

Constructor Summary
`AbstractFilterItemListBase()`

Method Summary
`java.util.List` | `getFilterItemList()` Returns the list of filter items.
`java.lang.String` | `getFilterItemListLabel()` Returns the label that can be used to identify the list of filter items.
`protected java.util.Map` | `getFilterItemLookupMap()` Returns the complete lookup table that provides the mapping between native model objects and filter model objects.
`FilterItemInterface` | `lookupFilterItem(java.lang.Object filterItemObject)` Lookup and return a FilterItemInterface for a given FilterItem object.
`protected void` | `setFilterItemList(java.util.List listOfItems)` Sets the list of filter items.
`void` | `setFilterItemListLabel(java.lang.String label)` Sets the label that can be used to identify the list of filter items.
`protected void` | `setFilterItemLookupMap(java.util.Map newMap)` Directly sets the lookup table mapping native objects to their corresponding filter model objects.

Field Detail

### _filterItemLookup

    protected java.util.Map _filterItemLookup

Constructor Detail

### AbstractFilterItemListBase

    public AbstractFilterItemListBase()

Method Detail

### lookupFilterItem

    public FilterItemInterface lookupFilterItem(java.lang.Object filterItemObject)

  Lookup and return a FilterItemInterface for a given FilterItem object.

  Specified by:
    `lookupFilterItem` in interface `FilterItemLookupInterface`
  Parameters:
    `filterItemObject` - the object to find a filter item for
  Returns:
    the filter item associated w/ the search object or null if none was found
  See Also:
    `FilterItemInterface.getItem()`

### getFilterItemList

    public java.util.List getFilterItemList()

  Returns the list of filter items.

  Specified by:
    `getFilterItemList` in interface `FilterItemListInterface`
  Returns:
    the list of filter items
  See Also:
    `FilterItemListInterface`

### getFilterItemListLabel

    public java.lang.String getFilterItemListLabel()

  Returns the label that can be used to identify the list of filter items.

  Specified by:
    `getFilterItemListLabel` in interface `FilterItemListInterface`
  Returns:
    the label for the list
  See Also:
    `FilterItemListInterface`

### setFilterItemListLabel

    public void setFilterItemListLabel(java.lang.String label)

  Sets the label that can be used to identify the list of filter items.

  Parameters:
    `label` - the new label for the list

### setFilterItemLookupMap

    protected void setFilterItemLookupMap(java.util.Map newMap)

  Directly sets the lookup table mapping native objects to their corresponding filter model objects.

  Parameters:
    `newMap` - the new lookup table

### getFilterItemLookupMap

    protected java.util.Map getFilterItemLookupMap()

  Returns the complete lookup table that provides the mapping between native model objects and filter model objects.

  Returns:
    the lookup table

### setFilterItemList

    protected void setFilterItemList(java.util.List listOfItems)

  Sets the list of filter items.

  Parameters:
    `listOfItems` - the new list of filter items

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.